*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #222;
}
.main{
    position: relative;
    width: 100%;
    height: 100vh;
}
.main .content{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    width: 400px;
    height: 400px;
    padding: 40px 80px;   
}
.main .content::before{
    content: '';
    position: absolute;
    inset: 0;
    border: 2px solid var(--i);
    animation: animate 8s linear infinite;
}
@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.main .content:nth-child(1)::before{
    border-radius: 65% 35% 70% 30% / 30% 69% 31% 70%  ;
}
.main .content:nth-child(2)::before{
    animation: animate 3s linear infinite;
    border-radius: 30% 70% 70% 30% / 30% 41% 59% 70% ;
}
.main .content:nth-child(3)::before{
    animation: animate 5s linear infinite;
    border-radius: 36% 64% 74% 26% / 68% 69% 31% 32%  ;
}
.main .content input{
    background: none;
    border: 2px solid #999;
    width:100%;
    /* text-align: center; */
    margin-top: 15px;
    height: 30px;
    border-radius: 40px;
    padding-left: 20px;
}
.main .content h1{
    text-align: center;
    color: #fff;
    margin-top: 40px;
    margin-bottom: 10px;
}
.main .content .button{
    color: #fff;
    background: linear-gradient(to left,rgb(255, 0, 149),rgb(255, 208, 0));
    border: none;
}
.main .content section{
    position: relative;
    top: 5px;
    width: 100%;
    display: flex;
    gap:80px;
}
.main .content section a {
    color: #999;
}

